/*
 * Copyright (c) 2017, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.wso2.carbon.analytics.auth.rest.api.util;

/**
 * Auth rest API constants.
 */
public class AuthRESTAPIConstants {

    public static final String WSO2_SP_TOKEN = "JID";
    public static final String WSO2_SP_REFRESH_TOKEN = "ASID";
    public static final String WSO2_SP_ID_TOKEN = "FID";
    public static final String WSO2_SP_USER_DTO = "USER_DTO";
    public static final String ID_TOKEN_HEADER = "Fid";

    public static final String HTTP_ONLY_COOKIE = "HttpOnly";
    public static final String SECURE_COOKIE = "Secure";
    public static final String EXPIRES_COOKIE = "Expires=";
    public static final String DEFAULT_EXPIRES_COOKIE = "Thu, 01 Jan 1970 00:00:01 GMT";

    public static final String LOGIN_CONTEXT = "/login";
    public static final String LOGOUT_CONTEXT = "/logout";
    public static final String LOGOUT_SSO_CONTEXT = "/slo";

    public static final int REFRESH_TOKEN_VALIDITY_PERIOD = 604800;

    private AuthRESTAPIConstants() {
    }
}
