import { FormattedMessage } from 'react-intl';


/*
 *  Copyright (c) 2018, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 *  WSO2 Inc. licenses this file to you under the Apache License,
 *  Version 2.0 (the "License"); you may not use this file except
 *  in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */

/**
 * Has values for all the string constants related to displaying messages to the user
 */
const BusinessRulesMessages = {
  // Business Rule form (common)
  SELECT_RULE_TEMPLATE:
  <FormattedMessage
    id="business.rules.messages.ruletemplate"
    defaultMessage="Please select a rule template"
  />,
  BUSINESS_RULE_NAME_FIELD_NAME:
  <FormattedMessage
    id="business.rules.messages.rulename"
    defaultMessage="Business rule name"
  />,
  BUSINESS_RULE_NAME_FIELD_DESCRIPTION: 'Please enter a unique name',

  // Business Rule from scratch form
  // Filter component
  RULE_LOGIC_HELPER_TEXT:
  <FormattedMessage
    id="business.rules.messages.rulelogic"
    defaultMessage="Enter the Rule Logic, referring filter rule numbers. Eg: (1 OR 2) AND (NOT(3))"
  />
  ,
};
export default BusinessRulesMessages;
